/**
* Print stylesheet for machinacommons.world/dingsda2mex/
* @version         1.1
* @lastmodified    14.10.2022
*/

@media print {

    * { 
      overflow: visible !important;
      float: none !important;
    }

    .qrcode{
      break-inside: avoid;
      break-before: page;
    }

    .is-full-height{
      height: auto !important;
    }

    .ignored-when-printed{
      display: none;
    }

    .qrcodelabel{
      width: 100%;
    }

    .many-per-page{
      display: inline;

      .qrcode{
        width: fit-content;
        height: fit-content;
        display: block;
        margin: auto;
        break-inside: avoid;
        break-before: auto;
      }

      .qrbox{
        break-inside: avoid;
        break-before: auto;

        width: 30%;
        margin: 0;
        float: left !important;
        // border: 1px red dotted;
      }

      .qrcodelabel{
        width: 100%;
        margin: 0px;
        // margin-left: 5%;
        font-family: "Courier New", Courier, monospace;
        font-size: 1vw;
        word-wrap: break-word;
        float: left !important;
      }

      white-space:normal;
      .qrcode>canvas{
        width: 23vw;
        margin: 0.5vw;
        float: left;
      }
    }

    @page { 
      margin: 0; 
    }

}